Package com.sun.jna.platform.win32

## Class PdhUtil.PdhException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.sun.jna.platform.win32.PdhUtil.PdhException

All Implemented Interfaces:
  `java.io.Serializable`

Enclosing class:
  PdhUtil

    public static final class PdhUtil.PdhException
    extends java.lang.RuntimeException

See Also:
  Serialized Form

### Constructor Summary

Constructors
`PdhException​(int errorCode)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getErrorCode()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PdhException

    public PdhException​(int errorCode)

### Method Detail

#### getErrorCode

    public int getErrorCode()